<?php   defined('C5_EXECUTE') or die("Access Denied.");
use Concrete\Core\File\Set;
$includeAssetLibrary = true;
$addSelected = true;
$al = Loader::helper('concrete/asset_library');
?>

<p><?php  print Loader::helper('concrete/ui')->tabs(array(
	array('form-settings', t('Settings'), $addSelected), array('form-design', t('Design'))
	));?>
</p>
	
<!-- Begin Settings Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-settings">
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<h3><?php   echo t('General Settings')?></h3>
				<?php   Loader::model('file_list');
				Loader::model('file_set');
				$filesets = FileSet::getMySets();
				$fsID = $controller->getFileSetID();
				echo t('Display'); ?> 
				<input type="text" name="numberFiles" value="<?php  echo $numberFiles?>" style="width: 30px"> <?php     echo t('files from:'); ?> 
 
				<select name="fsID">
				<?php   echo "<option value=\"\">* " . t('Select File Set') ." *</option>";
					foreach ($filesets as $fset) {
						$fsn = $fset->getFileSetName();
						$selfsID = $fset->getFileSetId();
						$select = ''; 
						if ($fsID == $selfsID) {
							$select = ' selected="selected" '; 
						}
						echo "<option " . $select . " value=\"" . $selfsID. "\">$fsn</option>";
					}
				?>
				</select><br />
				<?php   echo t('(leave blank or enter zero for all files in set)'); ?><br />
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<h3><?php   echo t('Ordering')?></h3>
				<select name="fileOrder">
					<option value="date_desc" <?php  if ($fileOrder == 'date_desc') echo 'selected="selected"';?>><?php     echo t('Date added (newest first)');?></option>
					<option value="date_asc" <?php  if ($fileOrder == 'date_asc') echo 'selected="selected"';?>><?php     echo t('Date added (oldest first)');?></option>
					<option value="alpha_asc" <?php  if ($fileOrder == 'alpha_asc') echo 'selected="selected"';?>><?php     echo t('Alphabetical');?></option>
					<option value="alpha_desc" <?php  if ($fileOrder == 'alpha_desc') echo 'selected="selected"';?>><?php     echo t('Alphabetical (reversed)');?></option>
					<option value="set_order" <?php  if ($fileOrder == 'set_order') echo 'selected="selected"';?>><?php     echo t('Set order');?></option>
					<option value="set_order_rev" <?php  if ($fileOrder == 'set_order_rev') echo 'selected="selected"';?>><?php     echo t('Set order (reversed)');?></option>
				</select>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<h3><?php  echo t('Display Options')?></h3>
				<p><input type="checkbox" name="replaceUnderscores" value="1" <?php  if ($replaceUnderscores == 1) { ?> checked <?php  } ?>   /> <?php  echo t('Replace underscores with spaces');?></p>
				<p><input type="checkbox" name="uppercaseFirst" value="1" <?php  if ($uppercaseFirst == 1) { ?> checked <?php  } ?>   /> <?php  echo t('Uppercase first letter of title');?></p>
			</div>
			<div class="form-group">
				<?php   echo $form->label('extension', t('File Extension'));?>
				<?php   echo $form->select('extension', array("show"=>t("Leave in Title (If present)"),"hide"=>t("Hide"),"brackets"=>t('Always Show')),$extension);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<h3><?php   echo t('Other Options')?></h3>
				<p><strong><?php   echo t('Empty file set message (optional):');?></strong><br />
					<input id="noFilesMessage" name="noFilesMessage" value="<?php     echo $noFilesMessage?>" maxlength="255" style="width: 302px" type="text" ></p>

				<p><strong><?php   echo t('Title Override  (optional)')?></strong><br />
					<input id="titleOverride" name="titleOverride" value="<?php     echo $titleOverride?>" maxlength="255" style="width: 302px" type="text" ><br />
					<?php   echo t("(will replace title/filename, e.g. 'latest file')"); ?>
				</p>
			</div>
		</div>
	</div> 
</div><!-- End Settings Tab -->

<!-- Begin DESIGN Tab -->
<div class="ccm-tab-content" id="ccm-tab-content-form-design">
	<div class="row">
		<div class="col-xs-6">
			<p><strong><?php   echo t('Display the following: ')?></strong></p>
			<p>
				<input type="checkbox" name="displaySetTitle" value="1" <?php  if ($displaySetTitle == 1) { ?> checked <?php  } ?>   /> <?php   echo t('File Set Title');?><br />
				<input type="checkbox" name="displaySize" value="1" <?php  if ($displaySize == 1) { ?> checked <?php  } ?>   /> <?php   echo t('File Size');?><br />
				<input type="checkbox" name="displayDateAdded" value="1" <?php  if ($displayDateAdded == 1) { ?> checked <?php  } ?>   /> <?php   echo t('Date Added');?>
			</p>
		</div>
		<div class="col-xs-6">
			<div class="form-group">
				<?php     echo $form->label('numPerPage', t('Number of Files Per Page'));?>
				<div class="input-group">        
					<?php    echo $form->number('numPerPage', $numPerPage?$numPerPage:"5", array('min'=>1, 'max'=>500)); ?>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('hidefilter', t('Filter Selector is: '));?>
				<?php   echo $form->select('hidefilter', array("false"=>t("Visible"),"true"=>t("Hidden")),$hidefilter);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('hidesort', t('Sort Selector is: '));?>
				<?php   echo $form->select('hidesort', array("false"=>t("Visible"),"true"=>t("Hidden")),$hidesort);?>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="form-group">
				<?php   echo $form->label('hidesearch', t('Search Field is: '));?>
				<?php   echo $form->select('hidesearch', array("false"=>t("Visible"),"true"=>t("Hidden")),$hidesearch);?>
			</div>
		</div>
	</div>
</div>